%define api		1
%define major		0
%define libname		%mklibname handy %{api} %{major}
%define girhandyname	%mklibname handy-gir %{api}
%define develname	%mklibname handy -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with glade

Name:		libhandy
Version:	1.8.3
Release:	%mkrel 3
Summary:	A GTK+ library to develop UI for mobile devices
License:	LGPLv2+
Group:		Development/GNOME and GTK+
URL:		https://gitlab.gnome.org/GNOME/libhandy/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	vala
%if %{with glade}
BuildRequires:	pkgconfig(gladeui-2.0)
%endif
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.1

%description
libhandy is a library to help with developing UI for mobile devices
using GTK+/GNOME.

#------------------------------------------------

%package i18n
Summary:	Translation files for %{name}
Group:		System/Internationalization
Obsoletes:      %{name}-common < 1.8.3-2

%description i18n
This package contains translation files for %{name}.

#------------------------------------------------

%package -n	%{libname}
Summary:	A GTK+ library to develop UI for mobile devices
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

Obsoletes:	%{_lib}handy0.0_0 < 0.0.13-7

%description -n	%{libname}
This package provides the shared library for libhandy, a library to
help with developing mobile UI using GTK+/GNOME.

#------------------------------------------------

%package -n	%{girhandyname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

Obsoletes:	%{_lib}handy-gir0.0 < 0.0.13-7

%description -n	%{girhandyname}
GObject Introspection interface description for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girhandyname} = %{version}-%{release}
Provides:	handy-devel = %{version}-%{release}

Obsoletes:	%{_lib}handy0.0-devel < 0.0.13-7

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%if %{with glade}
%package -n	%{name}-glade
Summary:	Glade (GTK+3) modules for %{name}
Group:		Graphical desktop/GNOME
Requires:	glade

%description -n	%{name}-glade
This package provides a catalog for Glade (GTK+3) which allows the use
of the provided Handy widgets in Glade.
%endif

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
	-Dprofiling=false \
	-Dintrospection=enabled \
	-Dvapi=true \
	-Dgtk_doc=true \
	-Dtests=false \
	-Dexamples=false \
%if %{with glade}
	-Dglade_catalog=enabled \
%else
	-Dglade_catalog=disabled \
%endif
	%{nil}
%meson_build

%install
%meson_install

%find_lang %name

%files -n %{libname}
%{_libdir}/libhandy-%{api}.so.%{major}{,.*}

%files i18n -f %{name}.lang

%files -n %{girhandyname}
%{_libdir}/girepository-1.0/Handy-%{api}.typelib

%files -n %{develname}
%license COPYING
%doc AUTHORS README.md
%doc %{_datadir}/doc/libhandy-1/
%{_includedir}/libhandy-%{api}/
%{_libdir}/libhandy-%{api}.so
%{_datadir}/gir-1.0/Handy-%{api}.gir
%{_libdir}/pkgconfig/libhandy-%{api}.pc
%{_datadir}/vala/vapi/libhandy-%{api}.deps
%{_datadir}/vala/vapi/libhandy-%{api}.vapi

%if %{with glade}
%files -n %{name}-glade
%{_libdir}/glade/modules/*.so
%{_datadir}/glade/catalogs/*.xml
%endif



%changelog
* Fri Mar 22 2024 daviddavid <daviddavid> 1.8.3-3.mga10
+ Revision: 2051410
- drop/obsoletes no more needed libhandy0.0

* Sun Feb 11 2024 wally <wally> 1.8.3-2.mga10
+ Revision: 2040291
- rename common subpkg as i18n as it only contains internationalization and localization files

* Sun Feb 11 2024 daviddavid <daviddavid> 1.8.3-1.mga10
+ Revision: 2040194
- new version: 1.8.3

* Sun Apr 02 2023 daviddavid <daviddavid> 1.8.2-1.mga9
+ Revision: 1951222
- new version: 1.8.2

* Thu Feb 02 2023 daviddavid <daviddavid> 1.8.1-1.mga9
+ Revision: 1937652
- new version 1.8.1

* Thu Sep 15 2022 ovitters <ovitters> 1.8.0-1.mga9
+ Revision: 1888975
- new version 1.8.0

* Wed Aug 31 2022 papoteur <papoteur> 1.7.90-1.mga9
+ Revision: 1882835
- new 1.7.90

* Sat Jul 09 2022 ovitters <ovitters> 1.6.3-1.mga9
+ Revision: 1868124
- new version 1.6.3

* Sat Apr 23 2022 ovitters <ovitters> 1.6.2-1.mga9
+ Revision: 1852776
- new version 1.6.2

* Fri Mar 18 2022 ovitters <ovitters> 1.6.1-1.mga9
+ Revision: 1798965
- new version 1.6.1

* Fri Mar 18 2022 ovitters <ovitters> 1.6.0-1.mga9
+ Revision: 1798327
- new version 1.6.0

* Tue Mar 15 2022 tv <tv> 1.5.91-1.mga9
+ Revision: 1793917
- Update to 1.5.91

* Mon Jun 21 2021 ovitters <ovitters> 1.2.3-1.mga9
+ Revision: 1731555
- new version 1.2.3

* Tue Apr 27 2021 ovitters <ovitters> 1.2.2-1.mga9
+ Revision: 1720060
- new version 1.2.2

* Tue Apr 13 2021 ovitters <ovitters> 1.2.1-1.mga9
+ Revision: 1715690
- new version 1.2.1

* Tue Mar 16 2021 ovitters <ovitters> 1.2.0-1.mga9
+ Revision: 1703924
- new version 1.2.0

* Thu Dec 24 2020 ovitters <ovitters> 1.0.3-1.mga8
+ Revision: 1663273
- new version 1.0.3

* Thu Nov 12 2020 ovitters <ovitters> 1.0.2-1.mga8
+ Revision: 1644833
- new version 1.0.2

* Fri Oct 30 2020 ovitters <ovitters> 1.0.1-1.mga8
+ Revision: 1640691
- new version 1.0.1

* Sat Sep 26 2020 tv <tv> 1.0.0-2.mga8
+ Revision: 1630221
- Disable glade catalog: it doesn't build with glade 3.38.0.
- rebuild for new libgladeui

* Tue Sep 08 2020 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1623633
- new version: 1.0.0

* Mon Sep 07 2020 daviddavid <daviddavid> 0.91.0-1.mga8
+ Revision: 1623307
- new version 0.91.0

* Fri Aug 07 2020 ovitters <ovitters> 0.90.0-1.mga8
+ Revision: 1611833
- new version 0.90.0

* Sun Aug 02 2020 daviddavid <daviddavid> 0.85.0-1.mga8
+ Revision: 1610483
- new version: 0.85.0
+ wally <wally>
- tag docs as such

* Fri Jul 17 2020 ovitters <ovitters> 0.84.0-1.mga8
+ Revision: 1606773
- update url
- new version 0.84.0

* Fri Jul 10 2020 tv <tv> 0.83.0-1.mga8
+ Revision: 1603991
- 0.83.0

* Thu May 14 2020 daviddavid <daviddavid> 0.0.13-3.mga8
+ Revision: 1583632
- add patch to fix build with glade >= 3.36
- rebuild for new glade 3.36.0

* Wed Feb 19 2020 umeabot <umeabot> 0.0.13-2.mga8
+ Revision: 1543907
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 0.0.13-1.mga8
+ Revision: 1482320
- new version: 0.0.13

* Mon Dec 16 2019 daviddavid <daviddavid> 0.0.12-1.mga8
+ Revision: 1468157
- new version: 0.0.12

* Wed Sep 11 2019 daviddavid <daviddavid> 0.0.11-1.mga8
+ Revision: 1439551
- new version: 0.0.11

* Sun Jun 30 2019 daviddavid <daviddavid> 0.0.10-1.mga8
+ Revision: 1416243
- new version: 0.0.10

* Wed Apr 17 2019 umeabot <umeabot> 0.0.9-2.mga7
+ Revision: 1392748
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 0.0.9-1.mga7
+ Revision: 1373223
- initial package libhandy

